package com.unipi.talepis.iatriki2024_1;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.sql.*;
import java.util.ArrayList;
import java.util.List;

@RestController
public class DBController {
    private static String url = "jdbc:sqlite:src/main/resources/DB/TeamsDB";
    @GetMapping("/dbteams")
    public List<FootballTeam> selectAllTeams(){
        try {
            Connection connection = DriverManager.getConnection(url);
            Statement statement = connection.createStatement();
            ResultSet resultSet = statement.executeQuery("Select * From Team");
            List<FootballTeam> tempList = new ArrayList<>();
            while (resultSet.next()){
               FootballTeam team =
                       new FootballTeam(resultSet.getString("TeamName"),
                               resultSet.getString("Description"),
                               resultSet.getInt("Year"));
               tempList.add(team);
            }
            resultSet.close();
            statement.close();
            connection.close();
            return tempList;
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }
    @PostMapping("/newTeam")
    public boolean insertTeam(@RequestBody FootballTeam team){
        try {
            Connection connection = DriverManager.getConnection(url);
            String insertSQL = "Insert into Team values(?,?,?)";
            PreparedStatement preparedStatement = connection.prepareStatement(insertSQL);
            preparedStatement.setString(1,team.getName());
            preparedStatement.setString(3,team.getDescription());
            preparedStatement.setInt(2,team.getYear());
            int count = preparedStatement.executeUpdate();
            preparedStatement.close();
            connection.close();
            if (count>0)
                return true;
            else return false;
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }
}
